Loading...
Searching...
No Matches
RootNodeMask::OffIterator Class Reference

`#include <openvdb/util/NodeMasks.h>`

Inheritance diagram for RootNodeMask::OffIterator:

## Public Member Functions

| OffIterator ()
| OffIterator (Index32 pos, const RootNodeMask *parent)
void | increment ()
void | increment (Index n)
bool | next ()
bool | operator* () const
OffIterator & | operator++ ()
bool | operator== (const BaseIterator &iter) const
bool | operator!= (const BaseIterator &iter) const
bool | operator< (const BaseIterator &iter) const
Index32 | offset () const
Index32 | pos () const
bool | test () const
| operator bool () const

## Protected Attributes

Index32 | mPos
Index32 | mBitSize
const RootNodeMask * | mParent

## Constructor & Destructor Documentation

## OffIterator() [1/2]

OffIterator | ( |  | ) |

inline

## OffIterator() [2/2]

OffIterator | ( | Index32 | pos,
|  | const RootNodeMask * | parent )

inline

## Member Function Documentation

## increment() [1/2]

void increment | ( |  | ) |

inline

## increment() [2/2]

void increment | ( | Index | n | ) |

inline

## next()

bool next | ( |  | ) |

inline

## offset()

Index32 offset | ( |  | ) | const

inline inherited

## operator bool()

operator bool | ( |  | ) | const

inline inherited

## operator!=()

bool operator!= | ( | const BaseIterator & | iter | ) | const

inline inherited

## operator*()

bool operator* | ( |  | ) | const

inline

## operator++()

OffIterator & operator++ | ( |  | ) |

inline

## operator<()

bool operator< | ( | const BaseIterator & | iter | ) | const

inline inherited

## operator==()

bool operator== | ( | const BaseIterator & | iter | ) | const

inline inherited

## pos()

Index32 pos | ( |  | ) | const

inline inherited

## test()

bool test | ( |  | ) | const

inline inherited

## Member Data Documentation

## mBitSize

Index32 mBitSize

protected

## mParent

const RootNodeMask* mParent

protected

## mPos

Index32 mPos

protected